# Specifies intentionally untracked files to ignore when using Git
# http://git-scm.com/docs/gitignore

*~
*.sw[mnpcod]
.tmp
UserInterfaceState.xcuserstate
$RECYCLE.BIN/

.log
log.txt

/.sourcemaps
/.versions

# Ionic
/.ionic
/www
/platforms
/plugins
/resources

# Compiled output
/dist
/tmp
/out-tsc
/bazel-out

# Node
/node_modules
npm-debug.log
yarn-error.log

# IDEs and editors
.idea/
.project
.classpath
.c9/
*.launch
.settings/
*.sublime-project
*.sublime-workspace

# Visual Studio Code
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
.history/*

# Miscellaneous
/.angular
/.angular/cache
.sass-cache/
/connect.lock
/coverage
/libpeerconnection.log
testem.log
/typings

# System files
Thumbs.db
.DS_Store
.AppleDouble
.LSOverride

# npm package locks
package-lock.json

# Angular specific files
#/angular.json
#/tsconfig.json
#/tsconfig.*.json
#/*.js

# IDE files
.idea/
.vscode/
*.sublime-project
*.sublime-workspace

# Logs and debugging files
npm-debug.log*
yarn-debug.log*
yarn-error.log*
ng.log

# Environment configuration
#/src/environments/environment.ts
#/src/environments/environment.prod.ts

# Build artifacts
*.apk
*.ipa
*.aab
*.xcodeproj
*.xcworkspace
